Subject: Re: bug#44611: Prefix arg for xref-goto-xref

From: João Távora <[email-masked]>
Date: Sun, 15 Nov 2020 23:11:04 +0000

As for my take on this, I seem to have proposed C-u RET for
this case back in 28814, but Dmitry and Eli opposed it (Eli
called it "almost outlandish" :-) ).  Since it wasn't a do-or-die
thing, I acquiesced and some other binding was found.
But indeed I don't think there's any other place in Emacs
where C-u RET is a thing.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=28814#52

Anyway, if you want to add it now, I have no major objections.
It doesn't break any existing use cases.

João

On Sun, Nov 15, 2020 at 10:54 PM Drew Adams <[email-masked]> wrote:

> > > And in icomplete-mode the closest analogy to picking one result is
> 'C-j'
> >
> > If people like it, I'm totally fine with changing the binding to 'C-j'.
>
> I don't use xref.  Dunno whether it uses the minibuffer.
>
> But if it does then, FWIW, IMO `C-j' in the minibuffer should
> have its usual behavior of inserting a newline.
>
> The minibuffer lets you do ordinary text editing of your
> input, which can be multiline.  It should, at least.
>
> (For the same reason, `?', `SPC' etc. should have their usual,
> self-inserting behavior in the minibuffer.  It was misguided
> to have them show help and complete words.  We finally, after
> decades, got `SPC' to self-insert for file-name completion,
> at least.)
>
> Just one opinion.
>

-- 
João Távora